/* lib/file.js
 * Originally created 11/13/2018 by sapeck
 *
 * Copyright 2018-present sapeck
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
'use strict'

import { readFileSync, writeFileSync } from 'fs'

export default class File {
  constructor (path, newFile = false) {
    let vm = this
    vm.path = path
    if (!newFile) vm.contents = readFileSync(vm.path, 'utf8').split('\n')
    else vm.contents = []
  }

  getContents () {
    let vm = this
    return vm.contents
  }

  setContents (contents) {
    let vm = this
    vm.contents = contents
    const data = vm.contents.join('\n')
    return writeFileSync(vm.path, data)
  }
}
