/* lib/replace.js
 * Originally created 11/13/2018 by sapeck
 *
 * Copyright 2018-present sapeck
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
'use strict'

// import * as rita from 'rita'
import Random from './random'

export default class Replace {
  constructor (list) {
    let vm = this
    vm.list = list
  }

  async replace (file) {
    let vm = this
    const contents = file.getContents()
    let out = []
    let match = new RegExp('Jews', 'i')
    for (let line of contents) {
      const randIndex = Random.getRandomInt(vm.list.length)
      while (match.test(line)) {
        line = line.replace(match, vm.list[randIndex])
      }
      out.push(line)
    }
    return out
  }

  static replacePeople (file) {
    const contents = file.getContents()
    let out = []
    let match = new RegExp('Jews', 'i')
    const matches = [
      [ new RegExp('Jews are not', 'i'), 'People are' ],
      [ new RegExp('Jews are no', 'i'), 'People are' ],
      [ new RegExp('Jews are', 'i'), 'People are not' ],
      [ new RegExp('Jews', 'i'), 'People' ]
    ]
    for (let line of contents) {
      while (match.test(line)) {
        for (let thisMatch of matches) {
          if (thisMatch[0].test(line)) {
            line = line.replace(thisMatch[0], thisMatch[1])
            break
          }
        }
      }
      out.push(line)
    }
    return out
  }
}
